Imports System.Net
Imports System.Net.Http
Imports System.Security.Claims
Imports System.Web.Http

Namespace MyAzureWebsiteSample
	<Authorize>
	Public Class MyWebController
		Inherits ApiController

		' GET api/<controller>
		Public Function [Get]() As IEnumerable(Of String)
			Return New String() { "value1", "value2" }
		End Function

		' GET api/<controller>/5
		Public Function [Get](ByVal id As Integer) As String
			Return "value"
		End Function

		' POST api/<controller>
		Public Sub Post(<FromBody> ByVal value As String)
		End Sub

		' PUT api/<controller>/5
		Public Sub Put(ByVal id As Integer, <FromBody> ByVal value As String)
		End Sub

		' DELETE api/<controller>/5
		Public Sub Delete(ByVal id As Integer)
		End Sub
	End Class
End Namespace
