Imports System.Threading.Tasks
Imports Microsoft.Owin
Imports Owin
Imports System.Web.Http
Imports Microsoft.Owin.Security.ActiveDirectory
Imports System.IdentityModel.Tokens
Imports System.Configuration

<Assembly: OwinStartup(GetType(MyAzureWebsiteSample.Startup))>

Namespace MyAzureWebsiteSample
	Public Class Startup
		Public Sub Configuration(ByVal app As IAppBuilder)
			Dim config = New HttpConfiguration
			config.Routes.MapHttpRoute("default", "{controller}/{id}", New With {Key .id = RouteParameter.Optional})

			Dim tenant = ConfigurationManager.AppSettings("ida:Tenant")
			Dim audience = ConfigurationManager.AppSettings("ida:Audience")

			app.UseWindowsAzureActiveDirectoryBearerAuthentication(New WindowsAzureActiveDirectoryBearerAuthenticationOptions With {.TokenValidationParameters = New TokenValidationParameters With {.ValidAudience = audience, .ValidateAudience = True}, .Tenant = tenant})
		Microsoft.ApplicationInsights.Extensibility.TelemetryConfiguration.Active.InstrumentationKey = ConfigurationManager.AppSettings("AppInsightsKey")
			app.UseWebApi(config)
		End Sub
	End Class
End Namespace
